Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ltd.getahead.dwr
Class DWRServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.directwebremoting.servlet.DwrServlet
                  uk.ltd.getahead.dwr.DWRServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated. Use org.directwebremoting.servlet.DwrServlet

    public class DWRServlet

extends DwrServlet

This is the main servlet that handles all the requests to DWR.

It is on the large side because it can't use technologies like JSPs etc since it all needs to be deployed in a single jar file, and while it might be possible to integrate Velocity or similar I think simplicity is more important, and there are only 2 real pages both script heavy in this servlet anyway.

There are 5 things to do, in the order that you come across them:

- The index test page that points at the classes
- The class test page that lets you execute methods
- The interface javascript that uses the engine to send requests
- The engine javascript to form the iframe request and process replies
- The exec 'page' that executes the method and returns data to the iframe

Author:
  Joe Walker [joe at getahead dot ltd dot uk]
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.directwebremoting.servlet.DwrServlet
`log`

Constructor Summary
`DWRServlet()` Deprecated.

Method Summary

Methods inherited from class org.directwebremoting.servlet.DwrServlet
`destroy, getContainer, init, shutdown`

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DWRServlet

    public DWRServlet()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD